html,
body {
  margin: 0;
  padding: 0;
  font-family: "Nunito";
  font-style: normal;
  min-height: 100vh;
}

.container {
  max-width: 1110px;
  margin: 0 auto;
}

main .discounts {
  justify-content: space-between;
  margin-top: 24px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

main .discounts > div {
  width: 540px;
  border-radius: 16px;
  display: flex;
  flex-direction: row;
  cursor: pointer;
}

main .discounts > div:nth-child(1) {
  background: #f3f4ff;
}

main .discounts > div:nth-child(2) {
  background: #fff3ed;
}

main .discounts > div .descriptions {
  margin-left: 40px;
}

main .discounts > div .descriptions p:nth-child(1) {
  font-weight: 600;
  font-size: 20px;
  line-height: 28px;
  letter-spacing: 0.1px;
  color: #2b2b43;
}

main .discounts > div .descriptions p:nth-child(2) {
  font-weight: 800;
  font-size: 40px;
  line-height: 1;
  letter-spacing: 0.1px;
  color: #4e60ff;
  padding-bottom: 25px;
  margin: 0;
}

main .discounts > div:nth-child(2) .descriptions p:nth-child(2) {
  color: #fd6d22;
}

main .discounts > div .descriptions p:nth-child(3) {
  font-weight: 400;
  font-size: 14px;
  letter-spacing: 0.1px;
  color: #83859c;
}

main .categories {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 32px;
  flex-wrap: wrap;
}

main .categories .category {
  box-sizing: border-box;
  width: 160px;
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background: #ffffff;
  border: 1px solid #edeef2;
  border-radius: 16px;
  cursor: pointer;
  font-weight: 700;
  font-size: 13px;
  line-height: 18px;
}

main .categories .category p {
  margin-top: 12px;
  margin-bottom: 0;
}

main .categories .category.active {
  background: #f3f4ff;
  border: 2px solid #4e60ff;
  color: #4e60ff;
}

main .categories .category:hover {
  background: #f8f9ff;
  border: 1px solid #697bff;
  color: #4e60ff;
}

main h4 {
  margin-top: 40px;
  margin-bottom: 16px;
  font-weight: 600;
  font-size: 20px;
  line-height: 28px;
  letter-spacing: 0.1px;
  color: #2b2b43;
}

main .restaurants {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
}

main .restaurants .restaurant {
  border: 1px solid #edeef2;
  border-radius: 16px;
  margin-bottom: 30px;
  position: relative;
  width: 350px;
  display: flex;
  flex-direction: column;
}

main .restaurants .restaurant .featured {
  position: absolute;
  font-weight: 500;
  font-size: 11px;
  line-height: 16px;
  color: #fff;
  background: #4e60ff;
  border-radius: 0px 16px;
  padding: 8px 16px;
  right: 0;
  top: 0;
  text-transform: uppercase;
}

main .restaurants .restaurant img {
  border-radius: 16px 16px 0 0;
}

main .restaurants .restaurant .r_description {
  padding: 16px;
  position: relative;
}

main .restaurants .restaurant .r_description .basket {
  position: absolute;
  right: 18px;
  top: 23px;
  color: rgba(199, 200, 210, 1);
  cursor: pointer;
}

main .restaurants .restaurant .r_description .basket:hover {
  color: rgba(78, 96, 255, 1);
}

main .restaurants .restaurant .title {
  font-weight: 700;
  font-size: 18px;
  line-height: 24px;
  padding: 0;
  margin: 0;
}

main .restaurants .restaurant .basket span {
  position: absolute;
  right: -7px;
  top: -7px;
  background: #4e60ff;
  border-radius: 50%;
  color: #fff;
  width: 14px;
  height: 14px;
  align-items: center;
  justify-content: center;
  font-size: 10px;
  line-height: 14px;
  display: flex;
}

main .restaurants .restaurant .time {
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  color: #83859c;
}

main .restaurants .restaurant .tags {
  display: flex;
  flex-direction: row;
}

main .restaurants .restaurant .tags .tag {
  background: #edeef2;
  border-radius: 100px;
  padding: 4px 10px;
  margin-right: 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  color: #545563;
  display: flex;
  align-items: center;
}

main .restaurants .restaurant .tags span {
  margin-left: 4px;
}

@media (max-width: 1110px) {
  .container {
    width: 330px;
  }
  main .restaurants .restaurant {
    width: 100%;
  }
  main .categories .category {
    width: 100px;
    height: 80px;
    padding-top: 0;
    margin-bottom: 15px;
  }
  main .discounts > div {
    margin-bottom: 30px;
    flex-direction: column-reverse;
  }

  main .discounts > div .descriptions {
    position: relative;
    margin: 16px;
  }

  main .discounts img {
    width: 290px;
    align-self: center;
  }
  main .discounts > div .descriptions p:nth-child(1) {
    margin: 0;
  }

  main .discounts > div .descriptions p:nth-child(3) {
    position: absolute;
    right: 0;
    top: 6px;
    margin: 0;
  }

  main .discounts > div .descriptions p:nth-child(2) {
    padding-top: 8px;
    padding-bottom: 0;
  }